program plosad;
uses crt;
var a,b,c,x1,x2:real;
procedure sq(a1,b1,c1:real; var y1,y2:real);
var d:real;
begin
y1:=0; y2:=0;
d:=b1*b1-4*a1*c1;
if d=0 then begin y1:=-b1/(2*a1); y2:=-b1/(2*a1); end;
if d>0 then begin y1:=(-b1+sqrt(d))/(2*a1); y2:=(-b1-sqrt(d))/(2*a1); end;
if d<0 then begin writeln('real kok yoxdur'); readln; HALT; end;
end;
BEGIN
clrscr;
write('A, B, C- ni daxil edin => ');readln(a,b,c);
sq(a,b,c,x1,x2);
writeln('x1=',x1:5:2,'  x2=',x2:5:2);
readln
END.
